<?php
/**
 * @package linea21.core
 * @subpackage admin
 * @author linea21 <info@linea21.com>
 * @version $id SVN
 * @access public
 * @license http://opensource.org/licenses/gpl-3.0.html
 */

ob_start();
include_once("../config/define.php"); 
include_once("../config/server.php");
echo '<?xml version="1.0" encoding="'.CHARSET.'" xml:lang="'. LANGUAGE .'">'.END_LINE;

if(!isset($_GET['rub']) && !isset($_POST['rub'])) {
	$rub="level";
} else {
	if(isset($_POST['rub']))	$rub=$_POST['rub'];
	if(isset($_GET['rub']))	$rub=$_GET['rub'];
}
if(!isset($_GET['todo']) && !isset($_POST['todo'])) {
	$todo="list";
} else {
	if(isset($_POST['todo']))	$todo=$_POST['todo'];
	if(isset($_GET['todo']))	$todo=$_GET['todo'];
}

if(isset($_POST['id']))	$id=$_POST['id'];
if(isset($_GET['id']))	$id=$_GET['id'];

/**
* language include 
* 
**/
include_once('../languages/'.LANGUAGE.'/lang_common.' . CHARSET . '.php');
include_once('../languages/'.LANGUAGE.'/lang_' .$rub. '.' . CHARSET . '.php');
$GLOBALS['lang']=$lang;

$backlink="index.php?rub=".$rub;

if($rub=='project') {
	if($todo=='add') $message=$GLOBALS['lang']['project']['confirm_add'];
	if($todo=='mod') $message=$GLOBALS['lang']['project']['confirm_mod'];
	if($todo=='sup') $message=$GLOBALS['lang']['project']['confirm_sup'];
}

if($rub=='level') {
	if($todo=='add') $message=$GLOBALS['lang']['level']['confirm_add'];
	if($todo=='mod') $message=$GLOBALS['lang']['level']['confirm_mod'];
	if($todo=='sup') $message=$GLOBALS['lang']['level']['confirm_sup'];
}

if($rub=='scale') {
	if($todo=='add') $message=$GLOBALS['lang']['scale']['confirm_add'];
	if($todo=='mod')  $message=$GLOBALS['lang']['scale']['confirm_mod'];
	if($todo=='sup') $message=$GLOBALS['lang']['scale']['confirm_sup'];
}

if($rub=='theme') {
	if($todo=='add') $message=$GLOBALS['lang']['theme']['confirm_add'];
	if($todo=='mod')  $message=$GLOBALS['lang']['theme']['confirm_mod'];
	if($todo=='sup') $message=$GLOBALS['lang']['theme']['confirm_sup'];
}

if($rub=='user') {
	if($todo=='add') $message=$GLOBALS['lang']['user']['confirm_add'];
	if($todo=='mod')  $message=$GLOBALS['lang']['user']['confirm_mod'];
	if($todo=='mod_p')  $message=$GLOBALS['lang']['user']['confirm_modpass'];
	if($todo=='mod_t')  {
		$message=$GLOBALS['lang']['user']['confirm_changetype'];
		$backlink="index.php?rub=user&todo=det&id=".$id;
		}
	if($todo=='sup') $message=$GLOBALS['lang']['user']['confirm_sup'];
}

if($rub=='news') {
	if($todo=='add') $message=$GLOBALS['lang']['news']['confirm_add'];
	if($todo=='mod')  $message=$GLOBALS['lang']['news']['confirm_mod'];
	if($todo=='sup') $message=$GLOBALS['lang']['news']['confirm_sup'];
}

if($rub=='newsletter') {
	if($todo=='add') $message=$GLOBALS['lang']['newsletter']['confirm_add'];
	if($todo=='mod')  $message=$GLOBALS['lang']['newsletter']['confirm_mod'];
	if($todo=='sup') $message=$GLOBALS['lang']['newsletter']['confirm_sup'];
}

if($rub=='yellowpages') {
	if($todo=='add') $message=$GLOBALS['lang']['yp']['confirm_add'];
	if($todo=='mod')  {
	$message=$GLOBALS['lang']['yp']['confirm_mod'];
	$backlink="index.php?rub=yellowpages&todo=det&id=".$_GET['id'];
	}
	if($todo=='sup') $message=$GLOBALS['lang']['yp']['confirm_sup'];
}

if($rub=='dashboard') {
	if($todo=='add') $message=$GLOBALS['lang']['dashboard']['confirm_add'];
	if($todo=='mod')  $message=$GLOBALS['lang']['dashboard']['confirm_mod'];
	if($todo=='sup') $message=$GLOBALS['lang']['dashboard']['confirm_sup'];
	$backlink="index.php?rub=dashboard&todo=det&id=".$_GET['id']."&scale_id=".$_GET['scale_id'];
}
if($rub=='sdi') {
	if($todo=='add') $message=$GLOBALS['lang']['sdi']['confirm_add'];
	if($todo=='mod')  {
	$message=$GLOBALS['lang']['sdi']['confirm_mod'];
	$backlink="index.php?rub=sdi&todo=det&id=".$_GET['id'];
	}
	if($todo=='mod_e')
	{  $message=$GLOBALS['lang']['sdi']['e_confirm_mod'];
	$backlink="index.php?rub=sdi&todo=det&id=".$_GET['id'];
	}
	if($todo=='mod_r'){
	$message=$GLOBALS['lang']['sdi']['r_confirm_mod'];
	$backlink="index.php?rub=sdi&todo=det&id=".$_GET['id'];
	}
	if($todo=='mod_p'){
	$message=$GLOBALS['lang']['sdi']['p_confirm_mod'];
	$backlink="index.php?rub=sdi&todo=det&id=".$_GET['id'];
	}
	if($todo=='sup') $message=$GLOBALS['lang']['sdi']['confirm_sup'];
}
if($rub=='publication') {
	if($todo=='add') $message=$GLOBALS['lang']['publication']['confirm_add'];
	if($todo=='mod')  $message=$GLOBALS['lang']['publication']['confirm_mod'];
	if($todo=='sup') $message=$GLOBALS['lang']['publication']['confirm_sup'];
}

if($rub=='workshop') {
	if($todo=='add') 		$message=$GLOBALS['lang']['workshop']['confirm_add'];
	if($todo=='sup')		$message=$GLOBALS['lang']['workshop']['confirm_sup'];
	
	if($todo=='sup_u') {
	$message=$GLOBALS['lang']['workshop']['confirm_sup_u'];
	$backlink="index.php?rub=workshop&todo=det&id=".$_GET['id'];
	}
	if($todo=='mod')  	{
		$message=$GLOBALS['lang']['workshop']['confirm_mod'];
		$backlink="index.php?rub=workshop&todo=det&id=".$_GET['id'];
	}
	if($todo=='mod_cal'){
		$message=$GLOBALS['lang']['workshop']['confirm_mod_cal'];
		$backlink="index.php?rub=workshop&todo=list_cal&id=".$_GET['id'];
	}
	if($todo=='mod_com' || $todo=='lock_com'){
		$message=$GLOBALS['lang']['workshop']['confirm_mod_com'];
		$backlink="index.php?rub=workshop&todo=list_com&id=".$_GET['id'];
	}
	if($todo=='add_cal'){
		$message=$GLOBALS['lang']['workshop']['confirm_add_cal'];
		$backlink="index.php?rub=workshop&todo=list_cal&id=".$_GET['id'];
	}
	if($todo=='add_u'){
		$message=$GLOBALS['lang']['workshop']['confirm_add_u'];
		$backlink="index.php?rub=workshop&todo=det&id=".$_GET['id'];
	}
	if($todo=='add_com'){
		$message=$GLOBALS['lang']['workshop']['confirm_add_com'];
		$backlink="index.php?rub=workshop&todo=list_com&id=".$_GET['id'];
	}
	if($todo=='sup_cal'){
		$message=$GLOBALS['lang']['workshop']['confirm_sup_cal'];
		$backlink="index.php?rub=workshop&todo=list_cal&id=".$_GET['id'];
	}
	if($todo=='sup_com'){
		$message=$GLOBALS['lang']['workshop']['confirm_sup_com'];
		$backlink="index.php?rub=workshop&todo=list_com&id=".$_GET['id'];
	}
}

if($rub=='resources') {
	if($todo=='add_l' || $todo=='add_m' || $todo=='add_b') $message=$GLOBALS['lang']['resources']['confirm_add'];
	if($todo=='mod_l' || $todo=='mod_m' || $todo=='mod_b') $message=$GLOBALS['lang']['resources']['confirm_mod'];
	if($todo=='sup') $message=$GLOBALS['lang']['resources']['confirm_sup'];
	if($_GET['type']=='P') $backlink="index.php?rub=publication&todo=det&id=".$_GET['id'];
	if($_GET['type']=='W') $backlink="index.php?rub=workshoprep&todo=det&id=".$_GET['id'];
	
}

if($rub=='contents') {
	if($todo=='add') $message=$GLOBALS['lang']['contents']['confirm_add'];
	if($todo=='mod') $message=$GLOBALS['lang']['contents']['confirm_mod'];
	if($todo=='sup') $message=$GLOBALS['lang']['contents']['confirm_sup'];
	if($_GET['type']=='P') $backlink="index.php?rub=publication&todo=det&id=".$_GET['id'];
	if($_GET['type']=='W') $backlink="index.php?rub=workshoprep&todo=det&id=".$_GET['id'];
}

if($rub=='workshoprep') {
	if($todo=='add') $message=$GLOBALS['lang']['workshoprep']['confirm_add'];
	if($todo=='mod') $message=$GLOBALS['lang']['workshoprep']['confirm_mod'];
	if($todo=='sup') {
		$message=$GLOBALS['lang']['workshoprep']['confirm_sup'];
		$backlink="index.php?rub=workshop&todo=det&id=".$_GET['id'];
	} else {
		$backlink="index.php?rub=".$rub."&todo=det&id=".$_GET['id'];
	}
	
}
if($rub=='system') {
	if($todo=='mod')  $message=$GLOBALS['lang']['system']['confirm_mod'];
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
 "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo LANGUAGE; ?>">
<head>
<meta HTTP-EQUIV="Refresh" CONTENT="<?php echo CONFIRM_REFRESH; ?>;URL=<?php echo $backlink; ?>">
<meta http-equiv="content-language" content="<?php echo LANGUAGE; ?>" />
<meta http-equiv="content-type" content="text/html; charset=<?php echo CHARSET; ?>" />
<title><?php echo $GLOBALS['lang']['header']['title']; ?></title>
<link type="text/css" rel="StyleSheet" href="../gfx/<?php echo THEME_ADMIN; ?>/css/actionconfirm.css" />
</head>
<body>
<h1>
	<?php echo $message; ?>
</h1>
</body>
</html>
<?php
ob_end_flush();
?>
